unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TSRec = Class
    Data: String;
  end;

  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

function Compare(Item1, Item2: Pointer):Integer;
begin
  if TSRec(Item1).Data < TSRec(Item2).Data then Result:= -1 else
  if TSRec(Item1).Data = TSRec(Item2).Data then Result:= 0 else
  if TSRec(Item1).Data > TSRec(Item2).Data then Result:= 1;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  InFile, OutFile: TextFile;
  List: TList;
  SRec: TSRec;
  TextString: String;
  I: Integer;
begin
  if OpenDialog1.Execute then
  begin
    AssignFile(InFile, OpenDialog1.FileName);
    Reset(InFile);
    AssignFile(OutFile, 'TokenOutPut.txt');
    Rewrite(OutFile);
    List:= TList.Create;
    while not eof(InFile) do
    begin
      Readln(InFile, TextString);
      SRec:= TSRec.Create;
      SRec.Data:= TextString;
      List.Add(SRec);
    end;
    List.Sort(Compare);
    For I:= 0 to List.Count -1 do
    begin
      TextString:= TSRec(List[I]).Data;
      TSRec(List[I]).Free;
      write(OutFile, TextString + ', ')
    end;
    CloseFile(InFile);
    CloseFile(OutFile);
  end;
end;

end.
